<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.ManageGazelleCrossValidators']}</h2>
        <ui:decorate template="/xvalidation/common/browseValidatorTemplate.xhtml">
            <ui:param name="managedBean" value="#{validatorAdministrationManager}"/>
            <ui:param name="displayStatusColumn" value="true"/>
            <ui:define name="additionalCriteria">
                <s:div rendered="#{not validatorAdministrationManager.emptyValidatorList}">
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{validatorAdministrationManager.filter}"/>
                                <ui:param name="filterId" value="status"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.Status']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{validatorAdministrationManager.filter}"/>
                                <ui:param name="filterId" value="modifier"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.LastModifier']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filterDate.xhtml">
                                <ui:param name="filter" value="#{validatorAdministrationManager.filter}"/>
                                <ui:param name="filterId" value="timestamp"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.LastModified']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                    </div>
                    <ui:decorate template="/layout/form/_checkbox.xhtml">
                        <h:selectBooleanCheckbox value="#{validatorAdministrationManager.onlyWithFailedUT}">
                            <a4j:ajax event="change" render="globalDiv"/>
                        </h:selectBooleanCheckbox>
                        #{messages['net.ihe.gazelle.xval.ShowOnlyValidatorsWithFailedUnitTests']}
                    </ui:decorate>
                </s:div>
            </ui:define>
            <ui:define name="adminButtons">
                <div class="btn-group">
                    <button type="button" class="btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                            aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.Access']} <span class="caret"/>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.ArchivedVersions']}"
                                             action="/xvalidation/admin/archives.seam"/>
                        </li>
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.Rules']}"
                                             action="#{validatorAdministrationManager.listRules()}"/>
                        </li>
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.ReferencedObjects']}"
                                             action="#{validatorAdministrationManager.listReferencedObjects()}"/>
                        </li>
                    </ul>
                </div>
                <div class="btn-group">
                    <button type="button" class="btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                            aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.MoreActions']} <span class="caret"/>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.CreateANewValidator']}"
                                             action="#{validatorAdministrationManager.createValidator()}"/>
                        </li>
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.ImportXMLFiles']}"
                                             action="#{validatorAdministrationManager.importValidator()}"/>
                        </li>
                        <li>
                            <h:commandLink value="#{messages['net.ihe.gazelle.xval.ExportFilteredValidators']}"
                                           action="#{validatorIOManager.exportSelectedValidators(validatorAdministrationManager.gazelleCrossValidators)}"/>
                        </li>
                    </ul>
                </div>
            </ui:define>
            <ui:define name="actionButtons">
                <a4j:commandLink id="editValidator"
                                 title="#{messages['net.ihe.gazelle.xval.EditValidator']}" styleClass="action"
                                 rendered="#{val.isEditable()}"
                                 action="#{validatorAdministrationManager.editValidator(val)}">
                    <s:span styleClass="gzl-icon-pencil "/>
                </a4j:commandLink>
                <a4j:commandLink id="restoreValidator"
                                 title="#{messages['net.ihe.gazelle.xval.RestoreValidator']}" styleClass="action"
                                 rendered="#{val.isDeprecated()}"
                                 oncomplete="jq162('#restoreValidatorPanel').modal('show');"
                                 render="restoreValidatorPanelContent restoreValidatorPanelButtons"
                                 actionListener="#{validatorAdministrationManager.setValidatorForUpdate(val)}">
                    <s:span styleClass="gzl-icon-undo "/>
                </a4j:commandLink>
                <a4j:commandLink id="updateValidator"
                                 title="#{messages['net.ihe.gazelle.xval.UpdateValidator']}" styleClass="action"
                                 rendered="#{val.isAvailable()}"
                                 oncomplete="jq162('#updateValidatorPanel').modal('show');"
                                 render="updateValidatorPanelContent updateValidatorPanelButtons"
                                 actionListener="#{validatorAdministrationManager.setValidatorForUpdate(val)}">
                    <s:span styleClass="gzl-icon-pencil "/>
                </a4j:commandLink>
                <a4j:commandLink id="deprecateValidator"
                                 title="#{messages['net.ihe.gazelle.xval.MarkAsDeprecated']}" styleClass="action"
                                 oncomplete="jq162('#deprecateValidatorPanel').modal('show');"
                                 rendered="#{not val.isDeprecated()}" render="deprecateValidatorPanelContent deprecateValidatorPanelButtons"
                                 actionListener="#{validatorAdministrationManager.setValidatorForUpdate(val)}">
                    <s:span styleClass="gzl-icon-trash-o "/>
                </a4j:commandLink>
                <h:commandLink id="exportValidator" actionListener="#{validatorIOManager.exportValidator(val)}"
                               title="#{messages['net.ihe.gazelle.xval.ExportValidatorToXML']}" styleClass="action">
                    <s:span styleClass="gzl-icon-download "/>
                </h:commandLink>
            </ui:define>
        </ui:decorate>
        <ui:include src="/xvalidation/admin/updateValidatorPanel.xhtml"/>
        <ui:include src="/xvalidation/admin/restoreValidatorPanel.xhtml"/>
        <ui:include src="/xvalidation/admin/deprecateValidatorPanel.xhtml"/>
    </ui:define>
</ui:composition>
